net.dontdrinkandroot.visualization.placement.graph

## Class EdgeInfo

- java.lang.Object
- - net.dontdrinkandroot.visualization.placement.graph.EdgeInfo

    public class EdgeInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EdgeInfo(VertexInfo v1, VertexInfo v2, double strength, double weight)`

### Method Summary

Methods
`VertexInfo` `getFirst()`
`VertexInfo` `getSecond()`
`double` `getStrength()`
`double` `getWeight()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EdgeInfo

    public EdgeInfo(VertexInfo v1,
            VertexInfo v2,
            double strength,
            double weight)

### Method Detail

#### getFirst

    public VertexInfo getFirst()

#### getSecond

    public VertexInfo getSecond()

#### getStrength

    public double getStrength()

#### getWeight

    public double getWeight()